## org.ascape.model.engine
Class ParallelManager

    java.lang.Object
      org.ascape.model.engine.ParallelManager

    public class ParallelManager

extends java.lang.Object

The Class ParallelManager.

Constructor Summary
`ParallelManager(StrategyFactory factory, ParallelExecutionStrategy mainStrategy)` Instantiates a new parallel manager.

Method Summary
`void` `execute()` Execute.
`void` `setFactory(StrategyFactory factory)` Sets the factory.
`void` `setMainStrategy(ParallelExecutionStrategy mainStrategy)` Sets the main strategy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelManager

    public ParallelManager(StrategyFactory factory,
                           ParallelExecutionStrategy mainStrategy)

  Instantiates a new parallel manager.

  Parameters:
    `factory` - the factory
    `mainStrategy` - the main strategy

Method Detail

### execute

    public void execute()

  Execute.

### setMainStrategy

    public void setMainStrategy(ParallelExecutionStrategy mainStrategy)

  Sets the main strategy.

  Parameters:
    `mainStrategy` - the new main strategy

### setFactory

    public void setFactory(StrategyFactory factory)

  Sets the factory.

  Parameters:
    `factory` - the new factory